(function() {
    window.templateUrl = "bower_components/zeedhi-frontend/templates/dyman/";
    window.serviceUrl = "../backend<>URI_SERVICE_NAME<>/index.php";

    var packages = {
        "product": "./assets",
        "modules": "../../..<>FRONTEND_DIRECTORY_NAME<>/assets",
        "zeedhiFramework": "./bower_components/zeedhi-frontend/assets",
        "zh-customizations-service": "./bower_components/zh-customizations-service/src/templates",
        "zhuacl": "./bower_components/zhuaclfrontend/assets",
        "zhulog": "/acl<>FRONTEND_DIRECTORY_NAME<>/bower_components/zhulog/assets",
        "lib": "./bower_components/tek-libraries",

        "zh-preferences"       : './bower_components/zh-preferences/dist/assets/',
        "zh-filter-preferences": './bower_components/zh-filter-preferences/dist/assets/',
        "zh-layout-preferences": './bower_components/zh-layout-preferences/dist/assets/',
        "zh-view-preferences"  : './bower_components/zh-view-preferences/dist/assets/',
        "zh-task-gantt-editor" : './bower_components/zh-task-gantt-editor/dist/assets/',

        "login": "/login<>FRONTEND_DIRECTORY_NAME<>/assets/",
        "dc"   : "/dc<>FRONTEND_DIRECTORY_NAME<>/assets/",
        "acl"  : "/acl<>FRONTEND_DIRECTORY_NAME<>/assets/",
        "PM"   : "<>PM_URL<><>FRONTEND_DIRECTORY_NAME<>"
    };

    var metadataUrls = [], serviceUrls = [];

    var pathname = location.pathname;
    if(pathname.search('mobile') !== -1 ) {
        pathname = pathname.replace('/mobile', '').split('/modules')[0];
    } else {
        pathname = '';
    }
    var pkgBaseUrls = {
        acl    : location.origin + pathname + "/backend_acl<>URI_SERVICE_NAME<>/index.php",
        zhulog : location.origin + pathname + "/backend_acl<>URI_SERVICE_NAME<>/index.php",
        login  : location.origin + pathname + "/backend_login<>URI_SERVICE_NAME<>/index.php",
        dc     : location.origin + pathname + "<>DEVOPS_COMMON_BACKEND_URI_NAME<><>URI_SERVICE_NAME<>/index.php",
        PM     : "<>PM_URL<>/backend<>URI_SERVICE_NAME<>/index.php",
        default: window.serviceUrl,

        'zh-preferences'       : window.serviceUrl + '/zh-preferences',
        'zh-filter-preferences': window.serviceUrl + '/zh-preferences',
        'zh-layout-preferences': window.serviceUrl + '/zh-preferences',
        'zh-view-preferences'  : window.serviceUrl + '/zh-preferences'
    };

    if(!window.isPM) {
        pkgBaseUrls["product"] =  "../../../backend<>URI_SERVICE_NAME<>/index.php";
        packages["product"] = packages["modules"];
    }

    for (var key in packages) {
        metadataUrls.push({
            "package": key,
            "baseUrl": packages[key]
        });

        var keyPkg = key.split("_")[0];
        var realBaseKey = pkgBaseUrls.hasOwnProperty(keyPkg) ? keyPkg : "default";
        serviceUrls.push({
            "package": key,
            "baseUrl": pkgBaseUrls[realBaseKey]
        });
    }


    window.lang = "pt_br";
    window.metadataUrl = "./assets/";
    window.projectId = 161;
    window.applicationVersion = '4.48.1';
    window.keepTitle = true;
    window.hideTranslateButton = true;

    window.metadataUrls = metadataUrls;
    window.metaDataUrls = metadataUrls;
    window.serviceUrls = serviceUrls;

    window.cssStyle = "inflightor";
    window.cssUrl = "../../..<>FRONTEND_DIRECTORY_NAME<>/assets/css/custom.css";

    window.templateUrls = window.templateUrls || [];

    window.templateUrls.push({
        package: "zh-customizations-service",
        baseUrl: "bower_components/zh-customizations-service/src/templates/"
    });
    window.templateUrls.push({
        package: "zh-interval-component",
        baseUrl: "bower_components/zh-interval-component/dist/templates/"
    });
     window.templateUrls.push({
            package: "zh-task-gantt-editor",
            baseUrl: "bower_components/zh-task-gantt-editor/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-description",
        baseUrl: "bower_components/zh-description/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-select-autocomplete",
        baseUrl: "bower_components/zh-select-autocomplete/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-reports",
        baseUrl: "bower_components/zh-reports/dist/templates/"
    });
    window.templateUrls.push({
            package: "zh-charts",
            baseUrl: "bower_components/zh-charts/dist/templates/"
    });
    window.templateUrls.push({
        package: "zh-filter-preferences",
        baseUrl: 'bower_components/zh-filter-preferences/dist/templates/'
    });
    window.templateUrls.push({
        package: "pm-kanban",
        baseUrl: 'templates/kanban/'
    });
})();